Bug 494016 - kernel BUG at arch/x86/kernel/irq_32.c:219!
kernel BUG at arch/x86/kernel/irq_32.c:219!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 13:48 EDT by James Laska
Modified: 2013-09-02 02:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (33.00 KB, text/plain)
2009-04-03 13:48 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-04-03 13:48:00 EDT
Created attachment 338091 [details]
dmesg

Booting F-11-Beta/x86_64 (kernel-2.6.29-16.fc11.i586) on hp-xw8800-02.lab.bos.redhat.com results in the following panic during boot.

------------[ cut here ]------------
b
invalid opcode: 0000 [#1] SMP 
last sysfs file: 
Modules linked in:

Pid: 1, comm: swapper Not tainted (2.6.29-16.fc11.i586 #1) HP Z800 Workstation
EIP: 0060:[<c0405a8b>] EFLAGS: 00010046 CPU: 7
EIP is at do_IRQ+0x6c/0xad
EAX: 00000032 EBX: 00000000 ECX: f6cc8000 EDX: c06f18be
ESI: ffffffff EDI: 000000a9 EBP: f6cc3ba4 ESP: f6cc3b7c
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process swapper (pid: 1, ti=f6cc2000 task=f6cc8000 task.ti=f6cc2000)
Stack:
 c07c463b c06f8fa4 ffffffff 000000a9 00000007 00001b90 00000000 f3974ce0
 00000282 00000282 f6cc3bec c04045ac f3974ce0 c0450218 00000000 00000282
 00000282 f6cc3bec 00000282 c045007b f397007b 000000d8 ffffff56 c06f18c9
Call Trace:
 [<c04045ac>] ? common_interrupt+0x2c/0x40
 [<c0450218>] ? trace_hardirqs_on+0xb/0xd
 [<c045007b>] ? trace_softirqs_on+0x48/0x95
 [<c06f18c9>] ? _spin_unlock_irqrestore+0x49/0x55
 [<c05c8abb>] ? devres_add+0x38/0x3e
 [<c04729bc>] ? devm_request_irq+0x71/0x7d
 [<c05f7e5a>] ? ahci_interrupt+0x0/0x406
 [<c05e6f4e>] ? ata_host_activate+0x70/0xc1
 [<c05f7e5a>] ? ahci_interrupt+0x0/0x406
 [<c05f7e45>] ? ahci_init_one+0x930/0x945
 [<c0550270>] ? local_pci_probe+0x13/0x15
 [<c0550c7c>] ? pci_device_probe+0x4b/0x6e
 [<c05c6b5a>] ? driver_probe_device+0xa7/0x122
 [<c05c6c26>] ? __driver_attach+0x51/0x70
 [<c05c6526>] ? bus_for_each_dev+0x3f/0x67
 [<c05c69ec>] ? driver_attach+0x19/0x1b
 [<c05c6bd5>] ? __driver_attach+0x0/0x70
 [<c05c5f8b>] ? bus_add_driver+0x9d/0x1b3
 [<c05c6de7>] ? driver_register+0x74/0xd8
 [<c054701d>] ? __spin_lock_init+0x28/0x4b
 [<c0550f93>] ? __pci_register_driver+0x51/0xae
 [<c0906383>] ? ahci_init+0x0/0x16
 [<c0906397>] ? ahci_init+0x14/0x16
 [<c040115a>] ? _stext+0x6a/0x17f
 [<c042b951>] ? finish_task_switch+0x4e/0xb4
 [<c0485905>] ? __rmqueue_smallest+0xae/0xc9
 [<c0486c06>] ? get_page_from_freelist+0x25c/0x413
 [<c044ef6f>] ? register_lock_class+0x17/0x291
 [<c044ef6f>] ? register_lock_class+0x17/0x291
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c0486cb6>] ? get_page_from_freelist+0x30c/0x413
 [<c05477e6>] ? debug_check_no_obj_freed+0x6b/0x153
 [<c054787b>] ? debug_check_no_obj_freed+0x100/0x153
 [<c0408509>] ? sched_clock+0x9/0xd
 [<c044eb7a>] ? lock_release_holdtime+0x2b/0x123
 [<c04a33b1>] ? check_valid_pointer+0x21/0x4f
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c04e37e2>] ? proc_register+0x103/0x164
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c0408509>] ? sched_clock+0x9/0xd
 [<c044eb7a>] ? lock_release_holdtime+0x2b/0x123
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c0546ea0>] ? _raw_spin_unlock+0x74/0x78
 [<c06f18f7>] ? _spin_unlock+0x22/0x25
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c04e394b>] ? create_proc_entry+0x73/0x89
 [<c0472dbb>] ? register_irq_proc+0x81/0x9a
 [<c0472e2c>] ? init_irq_proc+0x58/0x65
 [<c08df392>] ? kernel_init+0x183/0x1d4
 [<c08df20f>] ? kernel_init+0x0/0x1d4
 [<c04048f7>] ? kernel_thread_helper+0x7/0x10
Code: 89 f0 89 55 ec e8 97 b5 06 00 8b 55 ec 85 c0 89 c3 75 1f 64 a1 04 d0 93 c0 50 57 56 68 a4 8f 6f c0 68 3b 46 7c c0 e8 b2 99 2e 00 <0f> 0b 83 c4 14 eb fe 81 fa 3f 04 00 00 77 10 68 83 46 7c c0 e8 
EIP: [<c0405a8b>] do_IRQ+0x6c/0xad SS:ESP 0068:f6cc3b7c
---[ end trace 451a3ccbde63b7e8 ]---
Kernel panic - not syncing: Fatal exception in interrupt
------------[ cut here ]------------
WARNING: at kernel/smp.c:329 smp_call_function_many+0x39/0x1ca() (Tainted: G      D   )
Hardware name: HP Z800 Workstation
Modules linked in:
Pid: 1, comm: swapper Tainted: G      D    2.6.29-16.fc11.i586 #1
Call Trace:
 [<c0430c7f>] warn_slowpath+0x7c/0xa7
 [<c06f4042>] ? atomic_notifier_call_chain+0xc/0xe
 [<c0546ea0>] ? _raw_spin_unlock+0x74/0x78
 [<c06f18f7>] ? _spin_unlock+0x22/0x25
 [<c04461b9>] ? up+0x11/0x34
 [<c045f375>] ? crash_kexec+0x1a/0xac
 [<c044f42d>] ? trace_hardirqs_off_caller+0x18/0xa3
 [<c044f4c3>] ? trace_hardirqs_off+0xb/0xd
 [<c06f0394>] ? __mutex_unlock_slowpath+0x10c/0x128
 [<c06f03bd>] ? mutex_unlock+0xd/0xf
 [<c045f3ff>] ? crash_kexec+0xa4/0xac
 [<c0455b6e>] smp_call_function_many+0x39/0x1ca
 [<c0409734>] ? stop_this_cpu+0x0/0x4e
 [<c0455d1e>] smp_call_function+0x1f/0x23
 [<c04138c2>] native_smp_send_stop+0x20/0x6c
 [<c06ef39f>] panic+0x4d/0xeb
 [<c06f2a65>] oops_end+0x9a/0xa9
 [<c0406620>] die+0x58/0x5e
 [<c06f2283>] do_trap+0x89/0xa2
 [<c0404fda>] ? do_invalid_op+0x0/0x80
 [<c0405050>] do_invalid_op+0x76/0x80
 [<c0405a8b>] ? do_IRQ+0x6c/0xad
 [<c044f4c3>] ? trace_hardirqs_off+0xb/0xd
 [<c06f18be>] ? _spin_unlock_irqrestore+0x3e/0x55
 [<c043118f>] ? release_console_sem+0x1a9/0x1d6
 [<c044ef6f>] ? register_lock_class+0x17/0x291
 [<c05439f8>] ? trace_hardirqs_off_thunk+0xc/0x10
 [<c06f2027>] error_code+0x77/0x80
 [<c06f18be>] ? _spin_unlock_irqrestore+0x3e/0x55
 [<c0405a8b>] ? do_IRQ+0x6c/0xad
 [<c04045ac>] common_interrupt+0x2c/0x40
 [<c0450218>] ? trace_hardirqs_on+0xb/0xd
 [<c045007b>] ? trace_softirqs_on+0x48/0x95
 [<c06f18c9>] ? _spin_unlock_irqrestore+0x49/0x55
 [<c05c8abb>] devres_add+0x38/0x3e
 [<c04729bc>] devm_request_irq+0x71/0x7d
 [<c05f7e5a>] ? ahci_interrupt+0x0/0x406
 [<c05e6f4e>] ata_host_activate+0x70/0xc1
 [<c05f7e5a>] ? ahci_interrupt+0x0/0x406
 [<c05f7e45>] ahci_init_one+0x930/0x945
 [<c0550270>] local_pci_probe+0x13/0x15
 [<c0550c7c>] pci_device_probe+0x4b/0x6e
 [<c05c6b5a>] driver_probe_device+0xa7/0x122
 [<c05c6c26>] __driver_attach+0x51/0x70
 [<c05c6526>] bus_for_each_dev+0x3f/0x67
 [<c05c69ec>] driver_attach+0x19/0x1b
 [<c05c6bd5>] ? __driver_attach+0x0/0x70
 [<c05c5f8b>] bus_add_driver+0x9d/0x1b3
 [<c05c6de7>] driver_register+0x74/0xd8
 [<c054701d>] ? __spin_lock_init+0x28/0x4b
 [<c0550f93>] __pci_register_driver+0x51/0xae
 [<c0906383>] ? ahci_init+0x0/0x16
 [<c0906397>] ahci_init+0x14/0x16
 [<c040115a>] _stext+0x6a/0x17f
 [<c042b951>] ? finish_task_switch+0x4e/0xb4
 [<c0485905>] ? __rmqueue_smallest+0xae/0xc9
 [<c0486c06>] ? get_page_from_freelist+0x25c/0x413
 [<c044ef6f>] ? register_lock_class+0x17/0x291
 [<c044ef6f>] ? register_lock_class+0x17/0x291
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c0486cb6>] ? get_page_from_freelist+0x30c/0x413
 [<c05477e6>] ? debug_check_no_obj_freed+0x6b/0x153
 [<c054787b>] ? debug_check_no_obj_freed+0x100/0x153
 [<c0408509>] ? sched_clock+0x9/0xd
 [<c044eb7a>] ? lock_release_holdtime+0x2b/0x123
 [<c04a33b1>] ? check_valid_pointer+0x21/0x4f
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c044fcdc>] ? mark_lock+0x1e/0x30b
 [<c04e37e2>] ? proc_register+0x103/0x164
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c0408509>] ? sched_clock+0x9/0xd
 [<c044eb7a>] ? lock_release_holdtime+0x2b/0x123
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c0546ea0>] ? _raw_spin_unlock+0x74/0x78
 [<c06f18f7>] ? _spin_unlock+0x22/0x25
 [<c04e3832>] ? proc_register+0x153/0x164
 [<c04e394b>] ? create_proc_entry+0x73/0x89
 [<c0472dbb>] ? register_irq_proc+0x81/0x9a
 [<c0472e2c>] ? init_irq_proc+0x58/0x65
 [<c08df392>] kernel_init+0x183/0x1d4
 [<c08df20f>] ? kernel_init+0x0/0x1d4
 [<c04048f7>] kernel_thread_helper+0x7/0x10
---[ end trace 451a3ccbde63b7e9 ]---
Comment 1 Chuck Ebbert 2009-04-03 17:57:06 EDT
        desc = irq_to_desc(irq);
        if (unlikely(!desc)) {
                printk(KERN_EMERG "%s: cannot handle IRQ %d vector %#x cpu %d\n",
                                        __func__, irq, vector, smp_processor_id());
                BUG();
        }
Comment 2 Chuck Ebbert 2009-04-03 17:59:52 EDT
Can you get the "cannot handle IRQ vector" message? It should be just before "cut here".
Comment 3 James Laska 2009-04-13 11:11:19 EDT
Does the complete dmesg output in attachment#338091 [details] have what you need?

do_IRQ: cannot handle IRQ -1 vector 0xa9 cpu 7
Comment 4 Bug Zapper 2009-06-09 09:13:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:29:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:41:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.